Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20248

Description

It appears the ability to read a ESRI File Based Geodatabase with gdal 1.11.1 is broken in the OSGEO and Standallone installer for 2.8 on

windows (haven't checked Ubuntu yet). gdal 1.11 can read them. I know that isn't a QGIS problem - but does affect the experience.

Related issues:

Related to QGIS Application - Bug report # 13024: Can't edit ESRI .gdb file Closed 2015-06-22

History

#1 - 2015-01-24 12:21 PM - Randal Hale

Installed 2.8 testing On Ubuntu and it is still using gdal 1.11 so I can open ESRI File Based Geodatabases there.

#2 - 2015-01-25 04:46 AM - Giovanni Manghi

- Status changed from Open to Feedback

just update master in osgeo4w and tested with a file gdb from

http://gapanalysis.usgs.gov/padus/data/download/

works ok here. Please attach a sample dataset that does not work for you (may be is a problem because it was created with a very recent version of esri sw

and the available filegdb api allows to open fgdb only up to a certain esri version)?

#3 - 2015-01-25 06:50 AM - Randal Hale

I made a FileBased Geodatabase in ArcGIS 10.2.2 - It has one polygon layer. It opens in ArcGIS 10.2.2.

https://drive.google.com/a/northrivergeographic.com/file/d/0B8WLtz606XDdX09WWmpxcVdldDA/view?usp=sharing

I can open it in QGIS on Ubuntu - won't open on windows (either 2.6 or 2.7). The only difference is version of gdal running. Maybe 10.2.2 is too recent?

I am downloading the GDB you tested now.

#4 - 2015-01-25 07:03 AM - Randal Hale

The Geodatabase you tested works fine on mine. That's odd.
#5 - 2015-01-25 08:00 AM - Jürgen Fischer

Works fine for me with the OpenFileGDB driver on Windows using OSGeo4W 32 and 64bit - but only without the ESRI-FileGDB driver installed (or set

OGR_SKIP=FileGDB)

#6 - 2015-01-25 08:14 AM - Randal Hale

Can i uninstall the ESRI drive in OSGE4W? I only see one mention (and I may be missing it) where I have gdal-filegdb and the installer complains that it is

needed by GDAL...or how do I set OGR_SKIP=FileGDB? This must be why it works on Ubuntu - no ESRI Driver is installed for me.

#7 - 2015-01-25 08:51 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Randal Hale wrote:

Can i uninstall the ESRI drive in OSGE4W? I only see one mention (and I may be missing it) where I have gdal-filegdb and the installer complains

that it is needed by GDAL...or how do I set OGR_SKIP=FileGDB? This must be why it works on Ubuntu - no ESRI Driver is installed for me.

I removed the dependency to gdal-filegdb from qgis-full.  You could also add set OGR_SKIP=FileGDB before the last line to qgis.bat in 

%OSGEO4W_ROOT%\\bin.

#8 - 2015-01-25 08:53 AM - Randal Hale

I will name my first male child Jurgen Giovanni. Thanks!

#9 - 2015-03-21 01:42 PM - Corey Burger

- Status changed from Closed to Reopened

- Target version changed from Version 2.8 to Version 2.8.1

Just downloaded 64 bit version of 2.8.1 for Windows. ESRI FileGDB support appears to be missing, with the Type "ESRI FileGDB" missing from the

dropdown menu.

#10 - 2015-03-22 02:40 AM - Giovanni Manghi

- Status changed from Reopened to Closed

Corey Burger wrote:

Just downloaded 64 bit version of 2.8.1 for Windows. ESRI FileGDB support appears to be missing, with the Type "ESRI FileGDB" missing from the

dropdown menu.

this is because the file geodatabase is a directory, not a file. So in the "add vector layer" dialog you have to choose "directory" instead of "file".
I just tested and works ok.
